[Midnightbsd-cvs] src: etc/rc.d: add mountlate
laffer1 at midnightbsd.org
laffer1 at midnightbsd.org
Sat Jan 17 12:37:02 EST 2009
Log Message:
-----------
add mountlate
Modified Files:
--------------
src/etc/rc.d:
Makefile (r1.14 -> r1.15)
Added Files:
-----------
src/etc/rc.d:
mountlate (r1.1)
-------------- next part --------------
--- /dev/null
+++ etc/rc.d/mountlate
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# $MidnightBSD: src/etc/rc.d/mountlate,v 1.1 2009/01/17 17:37:02 laffer1 Exp $
+# $FreeBSD: src/etc/rc.d/mountlate,v 1.2 2007/05/18 12:04:41 mtm Exp $
+#
+
+# PROVIDE: mountlate
+# REQUIRE: DAEMON
+# BEFORE: LOGIN
+# KEYWORD: nojail
+
+. /etc/rc.subr
+
+name="mountlate"
+start_cmd="mountlate_start"
+stop_cmd=":"
+
+mountlate_start()
+{
+ # Mount "late" filesystems.
+ echo -n 'Mounting late file systems:'
+ mount -a -l
+ echo '.'
+
+ case $? in
+ 0)
+ ;;
+ *)
+ echo 'Mounting /etc/fstab filesystems failed,' \
+ ' startup aborted'
+ stop_boot true
+ ;;
+ esac
+}
+
+load_rc_config $name
+run_rc_command "$1"
Index: Makefile
===================================================================
RCS file: /home/cvs/src/etc/rc.d/Makefile,v
retrieving revision 1.14
retrieving revision 1.15
diff -L etc/rc.d/Makefile -L etc/rc.d/Makefile -u -r1.14 -r1.15
--- etc/rc.d/Makefile
+++ etc/rc.d/Makefile
@@ -21,7 +21,7 @@
jail \
kadmind kerberos kernel keyserv kldxref kpasswdd \
ldconfig local localpkg lockd lpd \
- mixer motd mountcritlocal mountcritremote \
+ mixer motd mountcritlocal mountcritremote mountlate \
mountd moused mroute6d mrouted msgs \
named natd netif netoptions \
network_ipv6 newsyslog nfsclient nfsd \
More information about the Midnightbsd-cvs
mailing list